package com.test.soap;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;

import org.jboss.ejb3.annotation.SecurityDomain;
import org.jboss.ws.api.annotation.WebContext;


@Stateless
@SecurityDomain("test2") 
@WebService(name = "HelloSoap", portName = "HelloSoapPort", serviceName = "HelloSoap", targetNamespace = "http://com.test")
@WebContext(contextRoot = "/ws", urlPattern = "/HelloSoap", secureWSDLAccess = false, authMethod = "BASIC", transportGuarantee = "NONE")
public class HelloSoap
{
    @Resource
    private SessionContext context;
    
    @PermitAll
    @WebMethod
    public String ola(){
        return "Hello soap!" + context.getCallerPrincipal();
    }
    
}
